PIRL.Image_Tools

## Class HTTP_ImageInputStream.Range

- java.lang.Object
- - PIRL.Image_Tools.HTTP_ImageInputStream.Range

Enclosing class:
  HTTP_ImageInputStream

    public class HTTP_ImageInputStream.Range
    extends Object

A Range contains Start, End and Length values.

The Length is not necessarily the length between Start and End. There are no constraints on any of the values.

### Field Summary

Fields
`long` `End`
`long` `Length`
`long` `Start`

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### Start

    public long Start

#### End

    public long End

#### Length

    public long Length

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`